Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security
Class WLSPrincipals

    java.lang.Object
      |
      +--weblogic.security.WLSPrincipals

public class WLSPrincipals
extends java.lang.Object

Use this class to find out if a Principal has special meaning to WebLogic Server.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`WLSPrincipals()`

Method Summary
`static java.lang.String` | `getAdministratorsGroupname()` Get the name of the Administrators group.
`static java.lang.String` | `getAnonymousRolename()` Get the name of the Anonymous role.
`static java.lang.String` | `getAnonymousUsername()` Get the name of the anonymous user.
`static java.security.Principal` | `getAnonymousUserPrincipal()` Returns a principal that corresponds to the anonymous username.
`static java.lang.String` | `getEveryoneGroupname()` Get the name of the everyone group.
`static java.lang.String` | `getKernelUsername()` Get the name of the kernel user.
`static java.lang.String` | `getUsersGroupname()` Get the name of the users group.
`static boolean` | `isAnonymousPrincipal(java.security.Principal principal)` Used to tell if a Principal is an anonymous Principal.
`static boolean` | `isAnonymousRolename(java.lang.String rolename)` Used to tell if a given rolename is "Anonymous" rolename
`static boolean` | `isAnonymousUsername(java.lang.String username)` Used to tell if a username is the anonymous user.
`static boolean` | `isKernelUsername(java.lang.String username)` Used to tell if a username is the kernel user.
`static boolean` | `isSpecialGroupname(java.lang.String groupname)` Used to tell if a groupname is one of the WLS special groups, currently only "users" and "everyone".
`static boolean` | `isSpecialUsername(java.lang.String username)` Used to tell if a username is one of the WLS special groups, currently only "" and "".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WLSPrincipals

    public WLSPrincipals()

Method Detail

### getAnonymousUsername

    public static java.lang.String getAnonymousUsername()

  Get the name of the anonymous user.

  Returns:
    the name of the anonymous user

### getAdministratorsGroupname

    public static java.lang.String getAdministratorsGroupname()

  Get the name of the Administrators group.

  Returns:
    the name of the administrators group

### getUsersGroupname

    public static java.lang.String getUsersGroupname()

  Get the name of the users group.

  Returns:
    the name of the users group

### getEveryoneGroupname

    public static java.lang.String getEveryoneGroupname()

  Get the name of the everyone group.

  Returns:
    the name of the administrators group

### getAnonymousRolename

    public static java.lang.String getAnonymousRolename()

  Get the name of the Anonymous role.

  Returns:
    the name of the Anonymous role

### getKernelUsername

    public static java.lang.String getKernelUsername()

  Get the name of the kernel user.

  Returns:
    the name of the kernel user

### getAnonymousUserPrincipal

    public static java.security.Principal getAnonymousUserPrincipal()

  Returns a principal that corresponds to the anonymous username. This is not actually part of the anonymous user as that is a Subject with no Principals. It is used when a Principal must be returned from an anonymous user.

  Returns:
    the anonymous user Principal

### isAnonymousPrincipal

    public static boolean isAnonymousPrincipal(java.security.Principal principal)

  Used to tell if a Principal is an anonymous Principal. This will be the case if the Principal is null, if it is the Principal returned by getAnonymousUserPrincipal() or if it is a 6.x guest Principal.

  Parameters:
    `principal` - the Principal to test
  Returns:
    true if this is an anonymous Principal, false otherwise

### isSpecialGroupname

    public static boolean isSpecialGroupname(java.lang.String groupname)

  Used to tell if a groupname is one of the WLS special groups, currently only "users" and "everyone".

  Parameters:
    `groupname` - the name of the group
  Returns:
    true if this is a special group, false otherwise

### isAnonymousRolename

    public static boolean isAnonymousRolename(java.lang.String rolename)

  Used to tell if a given rolename is "Anonymous" rolename

  Parameters:
    `rolename` - the name of the role
  Returns:
    true if this is a Anonymous role, false otherwise

### isSpecialUsername

    public static boolean isSpecialUsername(java.lang.String username)

  Used to tell if a username is one of the WLS special groups, currently only "" and "".

  Parameters:
    `username` - the name of the user
  Returns:
    true if this is a special user, false otherwise

### isKernelUsername

    public static boolean isKernelUsername(java.lang.String username)

  Used to tell if a username is the kernel user.

  Parameters:
    `username` - the name of the user
  Returns:
    true if this is the kernel user, false otherwise

### isAnonymousUsername

    public static boolean isAnonymousUsername(java.lang.String username)

  Used to tell if a username is the anonymous user.

  Parameters:
    `username` - the name of the user
  Returns:
    true if this is the anonymous user, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD